<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui"
>
<f:metadata>
    <f:viewAction onPostback="false" action="#{sendMail.init}"/>
</f:metadata>

<ui:composition>
    <h:head>
        <title>ابزار</title>




    </h:head>

    <h:body style="direction: rtl">
        <div class="ui-g-3"></div>

        <p:fieldset legend=" پیام" style="margin-bottom:30px" class="ui-g-6">
            <h:form id="addForm">
                <p:messages autoUpdate="true" globalOnly="false" id="messages" closable="true" />


                <p:fieldset legend="ارسال پیام" style="margin-bottom:20px" >
                    <p:panelGrid id="sendMail" columns="2" columnsWidth="2,4" styleClass="ui-noborder" >

                        <p:outputLabel value="از:"/>
                       <p:selectOneMenu id="send" value="#{sendMail.mailEntity.sendUnitName}" style="width:152px">
                        <f:selectItem itemLabel="سازمان را انتخاب کنید" itemValue="" noSelectionOption="true"/>
                        <f:selectItems value="#{sendMail.unitsName}"/>
                    </p:selectOneMenu>

                        <p:outputLabel value="به:"/>
                        <p:selectOneMenu id="receive" value="#{sendMail.mailEntity.receiveUnitName}" style="width:152px">
                            <f:selectItem itemLabel="سازمان را انتخاب کنید" itemValue="" noSelectionOption="true"/>
                            <f:selectItems value="#{sendMail.unitsName}"/>
                        </p:selectOneMenu>

                        <p:outputLabel value="سریال:"/>
                        <p:inputText value="#{sendMail.mailEntity.mailSerial}" onkeypress="if(event.which &lt; 48 || event.which &gt; 57) return false;"/>


                        <p:outputLabel value="عنوان پیام:"/>
                        <p:inputTextarea rows="6" cols="33" value="#{sendMail.mailEntity.title}"/>

                        <p:outputLabel value="متن پیام:"/>
                        <p:inputTextarea rows="6" cols="33" value="#{sendMail.mailEntity.text}"/>

                    </p:panelGrid>

                    <p:spacer height="5"/>

                    <p:panel styleClass="buttonBox">
                        <p:commandButton value="ارسال" actionListener="#{sendMail.sendMail}"
                                         update=":addForm">
                        </p:commandButton>
                    </p:panel>



                </p:fieldset>

                <p:fieldset legend="نمایش  پیام" style="margin-bottom:20px" >

                    <p:fieldset legend="جستجوی">

                        <p:panel styleClass="searchBox">
                            <p:panelGrid id="showemp" columns="4" columnsWidth="2,4,2,4" styleClass="ui-noborder">

                                <p:outputLabel value="سریال پیام:" style="margin-left: 5px;"/>
                                <p:inputText value="#{sendMail.serialMail}" id="nameSearch" onkeypress="if(event.which &lt; 48 || event.which &gt; 57) return false;"/>


                                <p:commandButton id="searchButton" value="جستجو"
                                                 actionListener="#{sendMail.searchMail}"
                                                 update="@form">
                                </p:commandButton>
                            </p:panelGrid>
                        </p:panel>
                        <p:spacer height="10"/>

                    </p:fieldset>
                    <p:panelGrid id="showMail" columns="2" columnsWidth="2,4" styleClass="ui-noborder" >

                        <p:outputLabel value="از:"/>
                        <p:inputText value="#{sendMail.mailEntity2.sendUnitName}" disabled="true" />


                        <p:outputLabel value="به:"/>
                        <p:inputText value="#{sendMail.mailEntity2.receiveUnitName}" disabled="true" />


                        <p:outputLabel for="button2" value="تاریخ :"/>
                        <p:calendar id="button2" value="#{sendMail.mailEntity2.date}" showIcon="true" disabled="true"/>

                        <p:outputLabel value="عنوان پیام:"/>
                        <p:inputTextarea rows="6" cols="33" value="#{sendMail.mailEntity2.title}" disabled="true"/>

                        <p:outputLabel value="متن پیام:"/>
                        <p:inputTextarea rows="6" cols="33" value="#{sendMail.mailEntity2.text}" disabled="true"/>

                    </p:panelGrid>

                    <p:spacer height="5"/>

                </p:fieldset>

                <p:fieldset legend="حذف  پیام" style="margin-bottom:20px" >

                    <p:fieldset legend="جستجوی">

                        <p:panel styleClass="searchBox">
                            <p:panelGrid id="deleteMail2" columns="4" columnsWidth="2,4,2,4" styleClass="ui-noborder">

                                <p:outputLabel value="سریال پیام:" style="margin-left: 5px;" />
                                <p:inputText value="#{sendMail.serialMail2}" onkeypress="if(event.which &lt; 48 || event.which &gt; 57) return false;"/>


                                <p:commandButton id="searchButton2" value="جستجو"
                                                 actionListener="#{sendMail.searchMailForDelete}"
                                                 update="@form">
                                </p:commandButton>
                            </p:panelGrid>
                        </p:panel>
                        <p:spacer height="10"/>

                    </p:fieldset>
                    <p:panelGrid id="deleteMail" columns="2" columnsWidth="2,4" styleClass="ui-noborder" >

                        <p:outputLabel value="از:"/>
                        <p:inputText value="#{sendMail.mailEntity3.sendUnitName}" disabled="true" />


                        <p:outputLabel value="به:"/>
                        <p:inputText value="#{sendMail.mailEntity3.receiveUnitName}" disabled="true" />


                        <p:outputLabel for="button3" value="تاریخ :"/>
                        <p:calendar id="button3" value="#{sendMail.mailEntity3.date}" showIcon="true" disabled="true"/>

                        <p:outputLabel value="عنوان پیام:"/>
                        <p:inputTextarea rows="6" cols="33" value="#{sendMail.mailEntity3.title}" disabled="true"/>

                        <p:outputLabel value="متن پیام:"/>
                        <p:inputTextarea rows="6" cols="33" value="#{sendMail.mailEntity3.text}" disabled="true"/>

                    </p:panelGrid>

                    <p:spacer height="5"/>
                    <p:panel styleClass="buttonBox">
                        <p:commandButton value="حذف" actionListener="#{sendMail.deleteMail}"
                                         update=":addForm">
                        </p:commandButton>
                    </p:panel>

                </p:fieldset>
            </h:form>
        </p:fieldset>

        <div class="ui-g-3"></div>
    </h:body>
</ui:composition>
</html>
